SFSMETALOGGER(8)

NAME
sfsmetalogger - start, restart or stop Sauna File System metalogger process

SYNOPSIS

sfsmetalogger [-c CFGFILE] [-u] [-d] [-t LOCKTIMEOUT] [ACTION]

sfsmetalogger -s [-c CFGFILE]

sfsmetalogger -v

sfsmetalogger -h

DESCRIPTION

sfsmetalogger is the metadata replication server of SaunaFS. Depending on parameters it can start, restart or stop SaunaFS metalogger process. Without any options it starts SaunaFS metalogger, killing previously run process if lock file exists.

SIGHUP (or reload ACTION) forces sfsmetalogger to reload all configuration files.

-v
    print version information and exit

-h
    print usage information and exit

-c CFGFILE
    specify alternative path of configuration file (default is sfsmetalogger.cfg in system configuration directory)

-u
    log undefined configuration values (when default is assumed)

-d
    run in foreground, don’t daemonize

-t LOCKTIMEOUT
    how long to wait for lockfile (default is 60 seconds)

ACTION is the one of start, stop, restart, reload, test, isalive or kill. Default action is restart.

FILES

sfsmetalogger.cfg
    configuration file for SaunaFS metalogger process; refer to sfsmetalogger.cfg(5) manual for details

sfsmetalogger.lock
    PID file of running SaunaFS metalogger process

.sfsmetalogger.lock
    lock file of running SaunaFS metalogger process (created in data directory)

changelog_ml.*.sfs
    SaunaFS filesystem metadata change logs (backup of master change log files)

metadata.ml.sfs.back
    Latest copy of complete metadata.sfs.back file from SaunaFS master.

sessions.ml.sfs
    Latest copy of sessions.sfs file from SaunaFS master.

REPORTING BUGS

Report bugs to the GitHub repository as an issue.

COPYRIGHT

Copyright 2008-2009 Gemius SA

Copyright 2013-2019 Skytechnology sp. z o.o.

Copyright 2023-2024 Leil Storage OÜ

SaunaFS is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.

SaunaFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with SaunaFS. If not, see

SEE ALSO

sfsmaster(8), sfsmetalogger.cfg(5), sfs(7)